

-- create meta-tables

create table PJEGERENCIAL.TB_PJE_GER_PERFIS
(
  ID      NUMBER not null,
  NM_NOME VARCHAR2(60) not null,
  CONSTRAINT PK_PJE_GER_PERFIS PRIMARY KEY (ID)
);

create table PJEGERENCIAL.TB_PJE_GER_SETORES
(
  ID      NUMBER not null,
  NM_NOME VARCHAR2(150) not null,
  CONSTRAINT PK_PJE_GER_SETORES PRIMARY KEY (ID)
);

create table PJEGERENCIAL.TB_PJE_GER_USUARIOS
(
  ID           NUMBER not null,
  NM_NOME      VARCHAR2(100) not null,
  NU_MATRICULA VARCHAR2(20),
  NM_EMAIL     VARCHAR2(80),
  NU_CPF       VARCHAR2(11),
  NM_SENHA     VARCHAR2(32),
  ID_SETOR     NUMBER,
  ID_PERFIL    NUMBER,
  CONSTRAINT PK_PJE_GER_USUARIOS PRIMARY KEY (ID)
);

create table PJEGERENCIAL.TB_PJE_GER_CONFIGURACOES
(
  ID                      NUMBER not null,
  NM_TITULO_SISTEMA       VARCHAR2(100) not null,
  NM_SUBTITULO_SISTEMA    VARCHAR2(100) not null,
  FL_TIPO_LOGIN           VARCHAR2(1),
  NM_SIZE_TEXT_BOX        NUMBER,
  NM_CELL_PADDING         VARCHAR2(2),
  NM_CELL_SPACING         VARCHAR2(2),
  NM_SUFIXO_EMAIL         VARCHAR2(50),
  ID_PERFIL_ADMINISTRADOR NUMBER,
  NM_COR_SISTEMA          VARCHAR2(20),
  CONSTRAINT PK_PJE_GER_CONFIGURACOES PRIMARY KEY (ID)
);

create table PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(
  ID                  NUMBER not null,
  NM_TITULO           VARCHAR2(200) not null,
  DS_MENU             VARCHAR2(100) not null,
  NM_DATASOURCE       VARCHAR2(60) not null,
  NM_SUBTITULO        VARCHAR2(200),
  DS_SQL              CLOB,
  DS_GLOSSARIO        CLOB,
  NM_WIDTH_TABELA     VARCHAR2(4),
  DS_COLUMN_CLASSES   VARCHAR2(100),
  DS_COLUMN_WIDTHS    VARCHAR2(100),
  NM_IMG_LINK         VARCHAR2(30),  
  NM_BD               VARCHAR2(20) not null,
  NU_REGISTROS_PAGINA NUMBER,
  CONSTRAINT PK_PJE_GER_CONSULTAS PRIMARY KEY (ID)
);

create table PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(
  ID                     NUMBER not null,
  NM_PARAMETRO           VARCHAR2(50) not null,
  NM_TIPO_RETORNO        VARCHAR2(20) not null,
  DS_PREENCHIMENTO_COMBO VARCHAR2(4000),
  NM_COMPONENTE          VARCHAR2(20) not null,
  NM_LABEL               VARCHAR2(100) not null,
  FL_NULLABLE            VARCHAR2(1) not null,
  NM_MASCARA             VARCHAR2(20),
  CONSTRAINT PK_PJE_GER_PARAMETROS PRIMARY KEY (ID)
);

create table PJEGERENCIAL.TB_PJE_GER_PERMISSOES
(
  ID_PERFIL   NUMBER not null,
  ID_CONSULTA NUMBER not null,
  CONSTRAINT PK_PJE_GER_PERMISSOES PRIMARY KEY (ID_PERFIL, ID_CONSULTA)
);

create table PJEGERENCIAL.TB_PJE_GER_SUBCONSULTAS
(
  ID                NUMBER not null,
  ID_CONSULTA       NUMBER not null,
  DS_SQL            CLOB not null,
  NM_DATASOURCE     VARCHAR2(60) not null,
  NM_SUBTITULO      VARCHAR2(200),
  NM_WIDTH_TABELA   VARCHAR2(4),
  DS_COLUMN_CLASSES VARCHAR2(100),
  DS_COLUMN_WIDTHS  VARCHAR2(100),
  NM_IMG_LINK       VARCHAR2(30),
  FL_LAYOUT         VARCHAR2(1),
  CONSTRAINT PK_PJE_GER_SUBCONSULTAS PRIMARY KEY (ID)
);



-- INSERIR AS CONFIGURACOES
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONFIGURACOES
(ID,NM_TITULO_SISTEMA,NM_SUBTITULO_SISTEMA,FL_TIPO_LOGIN,NM_SIZE_TEXT_BOX,NM_CELL_PADDING,NM_CELL_SPACING,NM_SUFIXO_EMAIL,ID_PERFIL_ADMINISTRADOR,NM_COR_SISTEMA)
VALUES
(1,'PJe Gerencial','TRT 13 Regio','M',40,10,0,'@trt13.jus.br',6,'AZUL');



-- INSERIR OS PERFIS
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERFIS(ID, NM_NOME) VALUES (1, 'MAGISTRADO');
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERFIS(ID, NM_NOME) VALUES (2, 'DIRETOR');
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERFIS(ID, NM_NOME) VALUES (3, 'OFICIAL DE JUSTICA');
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERFIS(ID, NM_NOME) VALUES (4, 'SERVIDOR');
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERFIS(ID, NM_NOME) VALUES (5, 'CORREGEDORIA');
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERFIS(ID, NM_NOME) VALUES (6, 'ADMINISTRADOR');
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERFIS(ID, NM_NOME) VALUES (7, 'USUARIO EXTERNO');


-- INSERIR UM USUARIO PADRAO INICIAL (DEPOIS O REGIONAL DEVE POPULAR A BASE DE USUARIOS)
INSERT INTO PJEGERENCIAL.TB_PJE_GER_USUARIOS(ID, NM_NOME, NU_MATRICULA, NM_EMAIL, NU_CPF, NM_SENHA, ID_SETOR, ID_PERFIL)
VALUES
(1, 'ADMINISTRADOR DO PJE GERENCIAL', '123456', 'pjegerencial@trt13.jus.br', '11111111111', '80177534a0c99a7e3645b52f2027a48b', null, 6);


-- INSERIR AS PERMISSOES
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 1);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 2);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 3);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 4);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 5);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 6);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 7);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 8);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 9);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 10);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 11);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 12);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 13);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 14);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 15);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 16);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 17);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (1, 18);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 1);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 2);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 3);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 4);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 5);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 6);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 7);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 8);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 9);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 10);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 11);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 12);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 13);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 14);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 15);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 16);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 17);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (2, 18);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 1);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 2);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 3);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 4);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 5);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 6);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 7);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 8);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 9);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 10);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 11);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 12);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 13);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 14);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 15);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 16);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 17);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (3, 18);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 1);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 2);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 3);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 4);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 5);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 6);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 7);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 8);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 9);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 10);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 11);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 12);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 13);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 14);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 15);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 16);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 17);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (4, 18);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (5, 1);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (5, 2);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (5, 3);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (5, 8);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (5, 18);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (7, 1);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (7, 2);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (7, 3);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (7, 4);
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PERMISSOES(ID_PERFIL, ID_CONSULTA) VALUES (7, 5);



-- INSERIR OS PARAMETROS
INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(1,':NUM_PROCESSO','TEXTO',null,'TEXTBOX','N Processo','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(2,':DIAS','NUMERO',null,'TEXTBOX','Dias','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(3,':TIPO_DOCUMENTO','NUMERO',
'select null,''TODOS''

union all 

(select tpd.id_tipo_processo_documento, tpd.ds_tipo_processo_documento 
from tb_tipo_processo_documento tpd
where tpd.id_tipo_processo_documento in (62,63,64,119)
order by 2)',
'COMBOBOX','Tipo de documento','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(4,':MAGISTRADO','NUMERO',
'select null, ''TODOS''

union all

(select ul.id_usuario, ul.ds_nome 
from tb_usuario_login ul 
inner join tb_pessoa_magistrado pm on pm.id = ul.id_usuario 
order by 2)',
'COMBOBOX','Magistrado','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(5,':OFICIAL_JUSTICA','NUMERO',
'select null, ''TODOS''

union all

(select oj.id, ul.ds_nome
from tb_pessoa_oficial_justica oj
inner join tb_usuario_login ul on ul.id_usuario = oj.id
order by 2)',
'COMBOBOX','Oficial de justia','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(6,':ORGAO_JULGADOR','NUMERO',
'select null,''TODOS'' union all (select oj.id_orgao_julgador, oj.ds_orgao_julgador
from tb_orgao_julgador oj
order by oj.ds_orgao_julgador)',
'COMBOBOX','Orgo Julgador','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(7,':DATA_INICIAL','DATA',null,'TEXTBOX','Data Inicial','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(8,':DATA_FINAL','DATA',null,'TEXTBOX','Data Final','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(9,':SERVIDOR','NUMERO',
'select null, ''TODOS''

union all

(select ul.id_usuario, ul.ds_nome
from tb_usuario_login ul
inner join tb_pessoa_servidor ps
on ps.id = ul.id_usuario
order by 2)',
'COMBOBOX','Servidor','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(10,':FINAL_PROCESSO','TEXTO',null,'TEXTBOX','Final do processo','N',null);

INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(11,':DATA_FIXA','DATA',null,'TEXTBOX','Data','N',null);


INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(12,':ORGAO_ESTATISTICA','NUMERO',
'select egoj.num_orgao_estatistica, oj.ds_orgao_julgador
from client.tb_orgao_julgador oj
inner join eg_pje.tb_orgaos_julgadores egoj on egoj.id_orgao_julgador_pje = oj.id_orgao_julgador',
'COMBOBOX','rgo Estatstica','N',null);


INSERT INTO PJEGERENCIAL.TB_PJE_GER_PARAMETROS
(ID,NM_PARAMETRO,NM_TIPO_RETORNO,DS_PREENCHIMENTO_COMBO,NM_COMPONENTE,NM_LABEL,FL_NULLABLE,NM_MASCARA)
VALUES
(13,':ORGAO_COLEGIADO','NUMERO',
'select null,''TODOS'' union all (select ojc.id_orgao_julgador_colegiado, ojc.ds_orgao_julgador_colegiado
from tb_orgao_julgador_colgiado ojc
order by ojc.ds_orgao_julgador_colegiado)',
'COMBOBOX','Orgo Colegiado','N',null);


-- *******************  INSERIR A CONSULTA 1  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(1,'Processos distribudos - 1 grau','CORREGEDORIA / PROCESSOS DISTRIBUIDOS - 1 GRAU','pje_1grau_DS',null,null,null,null,'left,center',null,null,'POSTGRES',0);


-- *******************  INSERIR A CONSULTA 2  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(2,'Processos sem movimentao h mais de 20 dias - 1 grau','CORREGEDORIA / PROCESSOS SEM MOVIMENTAO - 1 GRAU','pje_1grau_DS',null,null,null,null,'left,left,left,center,center,center',null,'edit.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 3  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(3,'Sentenas em aberto h mais de X dias','CORREGEDORIA / SENTENAS EM ABERTO','pje_1grau_DS',null,null,null,null,'center,center,center,left,center',null,'edit.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 4  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(4,'Parcelas de acordo por data de vencimento','VARA / PARCELAS DE ACORDO','pje_1grau_DS',null,null,null,null,'center,center,right,center,center,center',null,'view.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 5  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(5,'Documentos sigilosos','VARA / DOCUMENTOS SIGILOSOS','pje_1grau_DS',null,null,null,null,'center,left,left,center',null,'view.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 6  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(6,'Bureau Digital - 1 Grau','MAGISTRADO / BUREAU DIGITAL 1 GRAU','pje_1grau_DS',null,null,null,null,'left,left,left,left,left,center',null,'edit.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 7  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(7,'Bureau Digital - 2 Grau','MAGISTRADO / BUREAU DIGITAL 2 GRAU','pje_2grau_DS',null,null,null,null,'left,left,left,left,center,center,center',null,'edit.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 8  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(8,'Cartas precatrias no devolvidas nos ltimos X dias','CORREGEDORIA / CARTAS PRECATRIAS NO DEVOLVIDAS','pje_1grau_DS',null,null,null,null,null,null,'edit.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 9  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(9,'Painel do Servidor - Consulta por final de processo','VARA / CONSULTA FINAL PROCESSO','pje_1grau_DS',null,null,null,null,null,null,'edit.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 10  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(10,'Painel do assessor - 1 grau','ASSESSOR / PAINEL DO ASSESSOR - 1 GRAU','pje_1grau_DS',null,null,null,null,'left,left,left,left,left,center',null,'edit.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 11  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(11,'Painel do assessor - 2 grau','ASSESSOR / PAINEL DO ASSESSOR - 2 GRAU','pje_2grau_DS',null,null,null,null,'left,left,left,left,center,center,center',null,'edit.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 12  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(12,'Pauta de julgamento','TURMAS / PAUTA DE JULGAMENTO','pje_2grau_DS',null,null,null,null,null,null,null,'POSTGRES',150);


-- *******************  INSERIR A CONSULTA 13  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(13,'Status de atas de audincia pendentes','INCONSISTNCIAS / ATAS DE AUDINCIAS','pje_1grau_DS',null,null,null,null,'left,center,left,left',null,null,'POSTGRES',150);


-- *******************  INSERIR A CONSULTA 14  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(14,'Processos distribudos - 2 grau','GABINETE / PROCESSOS DISTRIBUIDOS - 2 GRAU','pje_2grau_DS',null,null,null,null,'left,center',null,null,'POSTGRES',0);


-- *******************  INSERIR A CONSULTA 15  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(15,'Antecipaes de tutela pendentes','E-GESTO ONLINE / ANTECIPAES DE TUTELA PENDENTES','pje_1grau_DS',null,null,null,null,'left,center',null,'edit.gif','POSTGRES',150);


-- *******************  INSERIR A CONSULTA 16  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(16,'Quantidade de sesses de julgamento por magistrado','TURMAS / QNT SESSES DE JULGAMENTO','pje_2grau_DS',null,null,null,null,'left,center',null,null,'POSTGRES',0);


-- *******************  INSERIR A CONSULTA 17  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(17,'Documentos criados pelo TRT em processos baixados','VARA / DOCUMENTOS EM PROC. BAIXADOS','pje_1grau_DS',null,null,null,null,'left,left,center',null,null,'POSTGRES',150);


-- *******************  INSERIR A CONSULTA 18  ******************************************
INSERT INTO PJEGERENCIAL.TB_PJE_GER_CONSULTAS
(ID,NM_TITULO,DS_MENU,NM_DATASOURCE,NM_SUBTITULO,DS_SQL,DS_GLOSSARIO,NM_WIDTH_TABELA,DS_COLUMN_CLASSES,DS_COLUMN_WIDTHS,NM_IMG_LINK,NM_BD,NU_REGISTROS_PAGINA)
VALUES
(18,'Processos sem advogado no plo ativo','CORREGEDORIA / RECLAMAES A TERMO','pje_1grau_DS',null,null,null,null,'center,center',null,'edit.gif','POSTGRES',150);



--******************** UPDATE NOS CAMPOS CLOB (SQL E GLOSSARIO) ************************

DECLARE

  SQL1 CLOB :=
  'select oj.ds_orgao_julgador as "Vara", count(ptrf.id_processo_trf) as "Processos distribudos" from tb_processo_trf ptrf
inner join tb_orgao_julgador oj on ptrf.id_orgao_julgador = oj.id_orgao_julgador
where ptrf.dt_distribuicao >= :DATA_INICIAL
and ptrf.dt_distribuicao <= (timestamp :DATA_FINAL + interval ''24 hours'')
group by oj.ds_orgao_julgador

union

select '' TOTAL'' as "Vara", count(ptrf.id_processo_trf) as "Processos distribudos" from tb_processo_trf ptrf
inner join tb_orgao_julgador oj on ptrf.id_orgao_julgador = oj.id_orgao_julgador
where ptrf.dt_distribuicao >= :DATA_INICIAL
and ptrf.dt_distribuicao <= (timestamp :DATA_FINAL + interval ''24 hours'')

order by "Processos distribudos" desc';


  GLOSSARIO1 CLOB :=
  'Quantidade de processos distribudos por vara<br/>em determinado perodo de tempo.';


  SQL2 CLOB :=
  'select p.nr_processo as "Processo", oj.ds_orgao_julgador as "Vara", ti.name_ as "Tarefa", to_char((current_date - ti.create_),''dd'') as "Dias",
''http://pje.trt13.jus.br/primeirograu/Processo/movimentar.seam?idProcesso=''||p.id_processo as "Abrir tarefa"
from tb_orgao_julgador oj, tb_processo_trf ptrf, tb_processo p, tb_processo_instance pi, jbpm_taskinstance ti
where ti.end_ is null
and ti.create_ < (current_date - 20)
and pi.id_proc_inst = ti.procinst_
and p.id_processo = pi.id_processo
and ptrf.id_processo_trf = p.id_processo
and oj.id_orgao_julgador = ptrf.id_orgao_julgador
and oj.id_orgao_julgador = COALESCE(:ORGAO_JULGADOR, oj.id_orgao_julgador)
and ti.name_ not in (''Arquivamento Definitivo'',''Arquivo definitivo'',''Cartas devolvidas'',
''Aguardando apreciao pela instncia superior'',''Concluso - Arquivo'',''Aguardando cumprimento de acordo ou pagamentos'',
''Designar Audincia'', ''Operaes da Audincia'')
order by oj.id_orgao_julgador, (current_date - ti.create_) desc';


  GLOSSARIO2 CLOB :=
  'Relatrio de processos parados na tarefa h mais de 20 dias. (verso 1.4.8.1)
<br/>Esto excludos deste relatrio os processos nas seguintes tarefas:
<br/>''Arquivamento Definitivo'', ''Arquivo definitivo'', ''Cartas devolvidas'',
<br/>''Aguardando apreciao pela instncia superior'', ''Concluso - Arquivo'',
<br/>''Aguardando cumprimento de acordo ou pagamentos'', ''Designar Audincia'', ''Operaes da Audincia''';


  SQL3 CLOB :=
  'select distinct p.nr_processo as "Processo", oj.ds_orgao_julgador as "Vara", to_char(pe.dt_atualizacao, ''dd/mm/yyyy'') as "Data da concluso", ul.ds_nome as "Magistrado",
''https://pje.trt13.jus.br/primeirograu/Processo/movimentar.seam?idProcesso='' || p.id_processo as "Abrir tarefa"
from tb_conclusao_magistrado cm
inner join tb_processo_evento pe on pe.id_processo_evento = cm.id_processo_evento
inner join tb_complemento_segmentado cs on cs.id_movimento_processo = pe.id_processo_evento
inner join tb_processo p on p.id_processo = pe.id_processo
inner join tb_processo_trf ptrf on p.id_processo = ptrf.id_processo_trf
inner join tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
inner join tb_usuario_login ul on ul.id_usuario = cm.id_pessoa_magistrado
where 1=1
and cm.id_pessoa_magistrado = COALESCE(:MAGISTRADO,cm.id_pessoa_magistrado)
and pe.dt_atualizacao < (current_date - :DIAS)
and pe.id_evento = 51
and cs.ds_texto = ''36''
and not exists (
	select 1
	from tb_processo_evento pe2
	inner join tb_complemento_segmentado cs2 on cs2.id_movimento_processo = pe2.id_processo_evento
	where pe2.id_processo_evento = pe.id_processo_evento
	and cs2.ds_texto = ''7019''
)
and not exists (
	select 1
	from tb_processo_documento pd
	inner join tb_processo_documento_bin pdb on pd.id_processo_documento_bin = pdb.id_processo_documento_bin
	where pd.id_tipo_processo_documento = 62 -- Setenca
	and dt_primeira_assinatura >= pe.dt_atualizacao
	and pd.id_processo = p.id_processo
)
and not exists (
	select 1
	from tb_processo_evento pe2
	where pe2.id_evento in(11022,50086, 466) -- Conversao em diligencia, Encerrada a concluso, Homologada a transao
	and pe.dt_atualizacao <= pe2.dt_atualizacao
	and p.id_processo = pe2.id_processo
)
order by "Vara", "Data da concluso"';


  GLOSSARIO3 CLOB :=
  'Processos que foram conclusos para Sentena h mais de X dias e que no tiveram <br/>encerramento da concluso, nem prolao da sentena, nem homologao da transao, nem tiveram converso da sentena em diligncia.<br/>
Neste relatrio tambm no so listadas as concluses para deciso de embargos de declarao.';


  SQL4 CLOB :=
  'select to_char(ai.dt_validacao, ''dd/mm/yyyy'') as "Data de validao da ATA", p.nr_processo as "Processo", ''R$ '' || api.vl_parcela as "Valor",  to_char(api.dt_vencimento, ''dd/mm/yyyy'') as "Vencimento",
''https://pje.trt13.jus.br/primeirograu/Painel/painel_usuario/documentoHTML.seam?idBin=''||pd.id_processo_documento_bin||''\&idProcessoDoc=''||pd.id_processo_documento as "Ata de audincia",
''https://pje.trt13.jus.br/primeirograu/Processo/movimentar.seam?idProcesso=''||p.id_processo as "Abrir tarefa"
from tb_processo p
inner join tb_aud_importacao ai on ai.id_processo = p.id_processo
inner join tb_processo_trf ptrf on ptrf.id_processo_trf = p.id_processo
inner join tb_aud_parcela_importacao api on api.id_aud_importacao = ai.id_aud_importacao
inner join tb_processo_audiencia pa on pa.id_processo_audiencia = ai.id_processo_audiencia
inner join tb_processo_documento pd on pd.id_processo_documento = pa.id_processo_documento
where 1=1
and not exists (
	select 1 from tb_processo_evento  pe
	where pe.id_processo = p.id_processo
	and pe.id_evento = 11385
)
and ai.dt_consolidacao is not null 
and ptrf.id_orgao_julgador = COALESCE(:ORGAO_JULGADOR, ptrf.id_orgao_julgador)
and api.dt_vencimento = COALESCE(:DATA_INICIAL, api.dt_vencimento)';


  GLOSSARIO4 CLOB :=
  'Lista de parcelas de acordo com vencimento na data especificada.<br/>Este relatrio no lista processos que tiveram a execuo iniciada.';


  SQL5 CLOB :=
  'select p.nr_processo as "Processo", pd.dt_juntada as "Data", pd.ds_processo_documento as "Descrio documento",
''https://pje.trt13.jus.br/primeirograu/Processo/ConsultaProcesso/Detalhe/detalheProcessoVisualizacao.seam?id=''||p.id_processo as "Visualizar processo"
from tb_processo_documento pd
inner join tb_processo p on pd.id_processo = p.id_processo
inner join tb_processo_trf ptrf on ptrf.id_processo_trf = p.id_processo
where pd.in_documento_sigiloso  = ''S''
and ptrf.id_orgao_julgador = COALESCE(:ORGAO_JULGADOR, ptrf.id_orgao_julgador)
and pd.dt_juntada >= COALESCE(:DATA_INICIAL, pd.dt_juntada)';


  GLOSSARIO5 CLOB :=
  'Lista de documentos sigilosos presentes em processos do rgo julgador';


  SQL6 CLOB :=
  'select p.nr_processo as "Processo", oj.ds_orgao_julgador as "Vara", to_char(pe.dt_atualizacao, ''dd/mm/yyyy'') as "Data da concluso para o magistrado",
ul.ds_nome as "Magistrado", ti.name_ as "Tarefa", ''https://pje.trt13.jus.br/primeirograu/Processo/movimentar.seam?idProcesso=''||p.id_processo as "Abrir tarefa"
from tb_conclusao_magistrado cm
inner join tb_processo_evento pe on pe.id_processo_evento = cm.id_processo_evento
inner join tb_processo p on p.id_processo = pe.id_processo
inner join tb_processo_trf ptrf on p.id_processo = ptrf.id_processo_trf
inner join tb_processo_instance pi on ptrf.id_processo_trf = pi.id_processo
inner join jbpm_taskinstance ti on ti.procinst_ = pi.id_proc_inst
inner join tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
inner join tb_usuario_login ul on ul.id_usuario = cm.id_pessoa_magistrado
where 1=1
and cm.id_pessoa_magistrado = COALESCE(:MAGISTRADO,cm.id_pessoa_magistrado)
and pe.id_processo_evento = (select max(id_processo_evento) from tb_processo_evento pe3 where pe3.id_evento = 51 and pe3.id_processo = p.id_processo)
and not exists (
	select 1
	from tb_processo_documento pd
	where pd.id_processo = p.id_processo
	and pd.dt_juntada >= pe.dt_atualizacao
	and pd.id_tipo_processo_documento in (62, 63, 64)
)
and not exists (
	select 1 
	from tb_processo_evento pe2
	where pe2.id_evento in(11022,50086) -- Conversao em diligencia ou Encerrada a concluso
	and pe.dt_atualizacao <= pe2.dt_atualizacao
	and p.id_processo = pe2.id_processo
)
and ti.end_ is null
and ti.name_ in (''Anlise da Sentena - Exec'', ''Anlise da Sentena'', ''Analisar sentena - ED'', ''Analisar sentena - Estruturada'',
''Analisar deciso - Exec'', ''Analisar deciso'', ''Analisar deciso - Liq'', ''Analisar despacho'', ''Analisar despacho - Exec'', ''Analisar despacho - Liq'',
''Analisar deciso - ConPra'', ''Analisar deciso - ConPraLiq'', ''Analisar deciso - ConPraExec'', ''Despacho - Converso em diligncia'',
''Analisar Expediente da Secretaria'', ''Analisar sentena modificativa - Estruturada - ED'', ''Analisar sentena - Estruturada - ED'',
''Analisar sentena modificativa - ED'', ''Sentena'', ''Sentenla - Liq'', ''Sentena - Exec'')

union

select p.nr_processo as "Processo", oj.ds_orgao_julgador as "Vara", to_char(ai.dt_validacao, ''dd/mm/yyyy'') as "Data da concluso para o magistrado",
ai.ds_nome_magistrado as "Magistrado", ''Assinar ata de audincia'' as "Tarefa", ''https://pje.trt13.jus.br/primeirograu/ProcessoAudiencia/IntegracaoAud/assinarAtasAudiencia.seam'' as "Abrir tarefa"
from tb_aud_importacao ai
inner join tb_processo p on p.id_processo = ai.id_processo
inner join tb_processo_trf ptrf on ptrf.id_processo_trf = p.id_processo
inner join tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
where 1=1
and ai.id_pessoa_magistrado = COALESCE(:MAGISTRADO,ai.id_pessoa_magistrado)
and ai.dt_validacao is not null
and ai.dt_consolidacao is null
order by "Vara", "Tarefa", "Data da concluso para o magistrado"';



  GLOSSARIO6 CLOB :=
  'Relatrio de processos pendentes para o magistrado.<br/>Lista todos os processos que foram conclusos para o magistrado selecionado e que encontram-se nas tarefas:<br/>
''Anlise da Sentena - Exec'', ''Anlise da Sentena'', ''Analisar sentena - ED'', ''Analisar sentena - Estruturada'',<br/>
''Analisar deciso - Exec'', ''Analisar deciso'', ''Analisar deciso - Liq'', ''Analisar despacho'', ''Analisar despacho - Exec'', ''Analisar despacho - Liq'',<br/>
''Analisar deciso - ConPra'', ''Analisar deciso - ConPraLiq'', ''Analisar deciso - ConPraExec'', ''Despacho - Converso em diligncia'', <br/>
''Analisar Expediente da Secretaria'', ''Analisar sentena modificativa - Estruturada - ED'', ''Analisar sentena - Estruturada - ED'', <br/>
''Analisar sentena modificativa - ED'', ''Sentena'', ''Sentenla - Liq'', ''Sentena - Exec''.<br/>
(verso 1.4.8.1)';


  SQL7 CLOB :=
  'select p.nr_processo as "Processo", oj.ds_orgao_julgador as "Gabinete", ojc.ds_orgao_julgador_colegiado as "OJC",to_char(pe.dt_atualizacao, ''dd/mm/yyyy'') as "Data da concluso para o magistrado",
ul.ds_nome as "Magistrado", ti.name_ as "Tarefa", 
''http://pje.trt13.jus.br/segundograu/Processo/movimentar.seam?idProcesso=''||p.id_processo as "Link Processo"
from tb_conclusao_magistrado cm
inner join tb_processo_evento pe on pe.id_processo_evento = cm.id_processo_evento
inner join tb_processo p on p.id_processo = pe.id_processo
inner join tb_processo_trf ptrf on p.id_processo = ptrf.id_processo_trf
inner join tb_processo_instance pi on ptrf.id_processo_trf = pi.id_processo
inner join jbpm_taskinstance ti on ti.procinst_ = pi.id_proc_inst
inner join tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
inner join tb_orgao_julgador_colgiado ojc on ojc.id_orgao_julgador_colegiado = ptrf.id_orgao_julgador_colegiado
inner join tb_usuario_login ul on ul.id_usuario = cm.id_pessoa_magistrado
where 1=1
and cm.id_pessoa_magistrado = COALESCE(:MAGISTRADO,cm.id_pessoa_magistrado)
and pe.id_processo_evento = (select max(id_processo_evento) from tb_processo_evento pe3 where pe3.id_evento = 51 and pe3.id_processo = p.id_processo)
and not exists (
	select 1 
	from tb_processo_documento pd
	where pd.id_processo = p.id_processo
	and pd.dt_juntada >= pe.dt_atualizacao
	and pd.id_tipo_processo_documento in (119, 63, 64)
)
and not exists (
	select 1
	from tb_processo_evento pe2
	where pe2.id_evento in(11022,50086) -- Conversao em diligencia ou Encerrada a concluso
	and pe.dt_atualizacao <= pe2.dt_atualizacao
	and p.id_processo = pe2.id_processo
)
and ti.end_ is null
and ti.name_ in (''Vistar voto'', ''Revisor - Vistar voto'', ''Analisar despacho'', ''Analisar deciso Interlocutria ou Extintiva'',
''Analisar Deciso de Admissibilidade'', ''Analisar Despacho AR'', ''Ato do desembargador - Presidncia'',''Assinar ata de audincia - Presidncia'')

union

select p.nr_processo as "Processo", oj.ds_orgao_julgador as "Gabinete", ojc.ds_orgao_julgador_colegiado as "OJC", to_char(ss.dt_sessao, ''dd/mm/yyyy'') as "Data da concluso para o magistrado",
ul.ds_nome as "Magistrado", ti.name_ as "Tarefa",
''http://pje.trt13.jus.br/segundograu/PautaJulgamento/voto/popupVotoProcessoPauta.seam?idPautaSessao=''||ps.id_pauta_sessao||''\&idProcesso=''||p.id_processo as "Link Processo"
from tb_pauta_sessao ps
inner join tb_processo p on p.id_processo = ps.id_processo_trf
inner join tb_processo_trf ptrf on ptrf.id_processo_trf = p.id_processo
inner join tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
inner join tb_orgao_julgador_colgiado ojc on ojc.id_orgao_julgador_colegiado = ptrf.id_orgao_julgador_colegiado
inner join tb_jt_sessao ss on ss.id_sessao = ps.id_sessao
inner join tb_usuario_login ul on ul.id_usuario = ps.id_magistrado_redator 
inner join tb_processo_instance pi on ptrf.id_processo_trf = pi.id_processo
inner join jbpm_taskinstance ti on ti.procinst_ = pi.id_proc_inst
where 1=1
and ps.id_magistrado_redator = COALESCE(:MAGISTRADO,ps.id_magistrado_redator)
and ti.name_ in (''Assinar acrdo'')
and ti.end_ is null
order by "Gabinete", "OJC", "Tarefa", "Data da concluso para o magistrado"';


  GLOSSARIO7 CLOB :=
  'Relatrio de processos pendentes para o magistrado.<br/>
Processos que foram conclusos para o magistrado e esto nas tarefas:<br/>
''Vistar voto'', ''Revisor - Vistar voto'', ''Analisar despacho'', ''Analisar deciso Interlocutria ou Extintiva'',<br/>
''Analisar Deciso de Admissibilidade'', ''Analisar Despacho AR'', ''Ato do desembargador - Presidncia'',''Assinar ata de audincia - Presidncia''<br/>
(verso 1.4.8.1)';



  SQL8 CLOB :=
  'select pp.nr_processo as "Processo", to_char(p.dt_autuacao,''dd/mm/yyyy'') as "Data de autuao",
    (current_date) - to_date(to_char(p.dt_autuacao,''dd/mm/yyyy''),''dd/mm/yyyy'') as "Dias",
    ''https://pje.trt13.jus.br/primeirograu/Processo/movimentar.seam?idProcesso=''||p.id_processo_trf as "Abrir tarefa"
from client.tb_processo_trf p
join client.tb_classe_judicial c on c.id_classe_judicial = p.id_classe_judicial
join core.tb_processo pp on p.id_processo_trf = pp.id_processo
join client.tb_orgao_julgador oj on (oj.id_orgao_julgador = p.id_orgao_julgador)
where 1=1
and p.dt_autuacao < (current_date - :DIAS )
and p.nr_sequencia is not null
and c.cd_classe_judicial=''261''
and p.id_orgao_julgador = COALESCE(:ORGAO_JULGADOR, p.id_orgao_julgador)

and (
	not exists (
		select 1
		from core.tb_processo_evento pe
		where pe.id_processo = p.id_processo_trf
		and pe.id_evento = 50020
        ) --cumprida a carta

	and not exists (
		select 1
		from core.tb_processo_evento pe
		join client.tb_complemento_segmentado cs on (cs.id_movimento_processo = pe.id_processo_evento and ds_texto in (''7049'')) --destino: juizo deprecante
		join client.tb_tipo_complemento tc on (tc.id_tipo_complemento = cs.id_tipo_complemento and tc.cd_tipo_complemento = ''7'') --motivo da remessa
		where pe.id_processo = p.id_processo_trf
		and pe.id_evento = 123
	)
) --remetido o processo';



  GLOSSARIO8 CLOB :=
  'Relatrio de cartas precatrias no devolvidas para o juzo deprecante.<br/>Lista todos os processos que no possuem a movimentao<br/>''Remessa dos autos para Juzo deprecante'' ou ''Cumprida a carta''';


  SQL9 CLOB :=
  'select p.nr_processo as "Processo", ti.name_ as "Tarefa", 
to_char((ti.create_),''dd/mm/yyyy'') as "Pendente desde",
''http://pje.trt13.jus.br/primeirograu/Processo/movimentar.seam?idProcesso=''||p.id_processo as "Abrir tarefa"
from tb_orgao_julgador oj, tb_processo_trf ptrf, tb_processo p, tb_processo_instance pi, jbpm_taskinstance ti
where ti.end_ is null
and pi.id_proc_inst = ti.procinst_
and p.id_processo = pi.id_processo
and ptrf.id_processo_trf = p.id_processo
and oj.id_orgao_julgador = ptrf.id_orgao_julgador
and oj.id_orgao_julgador = COALESCE(:ORGAO_JULGADOR, oj.id_orgao_julgador)
and substring(p.nr_processo from 7 for 1) in ( :FINAL_PROCESSO )
and ti.name_ not in (''Arquivamento Definitivo'',''Arquivo definitivo'',''Cartas devolvidas'',
''Aguardando apreciao pela instncia superior'',''Concluso - Arquivo'')
order by oj.id_orgao_julgador, ti.create_ ';


  GLOSSARIO9 CLOB :=
  'Relatrio de processos da vara que terminam com o dgito informado (EM TESTE)';
  

  SQL10 CLOB :=
  'select p.nr_processo as "Processo", oj.ds_orgao_julgador as "Vara", to_char(pe.dt_atualizacao, ''dd/mm/yyyy'') as "Data da concluso para o magistrado",
ul.ds_nome as "Magistrado", ti.name_ as "Tarefa", ''https://pje.trt13.jus.br/primeirograu/Processo/movimentar.seam?idProcesso=''||p.id_processo as "Abrir tarefa"
from tb_conclusao_magistrado cm 
inner join tb_processo_evento pe on pe.id_processo_evento = cm.id_processo_evento
inner join tb_processo p on p.id_processo = pe.id_processo
inner join tb_processo_trf ptrf on p.id_processo = ptrf.id_processo_trf
inner join tb_processo_instance pi on ptrf.id_processo_trf = pi.id_processo
inner join jbpm_taskinstance ti on ti.procinst_ = pi.id_proc_inst
inner join tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
inner join tb_usuario_login ul on ul.id_usuario = cm.id_pessoa_magistrado
where 1=1
and cm.id_pessoa_magistrado = COALESCE(:MAGISTRADO,cm.id_pessoa_magistrado)
and pe.id_processo_evento = (select max(id_processo_evento) from tb_processo_evento pe3 where pe3.id_evento = 51 and pe3.id_processo = p.id_processo)
and not exists (
	select 1
	from tb_processo_documento pd
	where pd.id_processo = p.id_processo
	and pd.dt_juntada >= pe.dt_atualizacao
	and pd.id_tipo_processo_documento in (62, 63, 64)
)
and not exists (
	select 1
	from tb_processo_evento pe2
	where pe2.id_evento in(11022,50086) -- Conversao em diligencia ou Encerrada a concluso
	and pe.dt_atualizacao <= pe2.dt_atualizacao
	and p.id_processo = pe2.id_processo
)
and ti.end_ is null
and ti.name_ ilike ''%minutar%''';



  GLOSSARIO10 CLOB :=
  'Relatrio de processos e esto conclusos para  magistrado e encontram-se em tarefa de minuta.<br/>(verso 1.4.8.2)';


  SQL11 CLOB :=
  'select p.nr_processo as "Processo", oj.ds_orgao_julgador as "Gabinete", ojc.ds_orgao_julgador_colegiado as "OJC",to_char(pe.dt_atualizacao, ''dd/mm/yyyy'') as "Data da concluso para o magistrado",
ul.ds_nome as "Magistrado", ti.name_ as "Tarefa",
''http://pje.trt13.jus.br/segundograu/Processo/movimentar.seam?idProcesso=''||p.id_processo as "Link Processo"
from tb_conclusao_magistrado cm 
inner join tb_processo_evento pe on pe.id_processo_evento = cm.id_processo_evento
inner join tb_processo p on p.id_processo = pe.id_processo
inner join tb_processo_trf ptrf on p.id_processo = ptrf.id_processo_trf
inner join tb_processo_instance pi on ptrf.id_processo_trf = pi.id_processo
inner join jbpm_taskinstance ti on ti.procinst_ = pi.id_proc_inst
inner join tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
inner join tb_orgao_julgador_colgiado ojc on ojc.id_orgao_julgador_colegiado = ptrf.id_orgao_julgador_colegiado
inner join tb_usuario_login ul on ul.id_usuario = cm.id_pessoa_magistrado
where 1=1
and ptrf.id_orgao_julgador = COALESCE(:ORGAO_JULGADOR, ptrf.id_orgao_julgador)
and pe.id_processo_evento = (select max(id_processo_evento) from tb_processo_evento pe3 where pe3.id_evento = 51 and pe3.id_processo = p.id_processo)
and not exists (
	select 1 
	from tb_processo_documento pd
	where pd.id_processo = p.id_processo
	and pd.dt_juntada >= pe.dt_atualizacao
	and pd.id_tipo_processo_documento in (119, 63, 64)
)
and not exists (
	select 1
	from tb_processo_evento pe2
	where pe2.id_processo = p.id_processo
	and pe2.dt_atualizacao > pe.dt_atualizacao
	and pe2.ds_texto_final_externo ilike ''%Encerrada a concluso%''
)
and ti.end_ is null
and ti.name_ ilike ''%minutar%''

union

select p.nr_processo as "Processo", oj.ds_orgao_julgador as "Gabinete", ojc.ds_orgao_julgador_colegiado as "OJC", to_char(ti.create_, ''dd/mm/yyyy'') as "Data da concluso para o magistrado",
ul.ds_nome as "Magistrado", ''Votao antecipada - data da sesso: ''||to_char(ss.dt_sessao, ''dd/mm/yyyy'') as "Tarefa",
''http://pje.trt13.jus.br/segundograu/PautaJulgamento/voto/popupVotoProcessoPauta.seam?idPautaSessao=''||ps.id_pauta_sessao||''\&idProcesso=''||p.id_processo as "Link Processo"
from tb_pauta_sessao ps
inner join tb_processo p on p.id_processo = ps.id_processo_trf
inner join tb_processo_trf ptrf on ptrf.id_processo_trf = p.id_processo
inner join tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
inner join tb_orgao_julgador_colgiado ojc on ojc.id_orgao_julgador_colegiado = ptrf.id_orgao_julgador_colegiado
inner join tb_jt_sessao ss on ss.id_sessao = ps.id_sessao
inner join tb_usuario_login ul on ul.id_usuario = ps.id_magistrado_redator
inner join tb_processo_instance pi on ptrf.id_processo_trf = pi.id_processo
inner join jbpm_taskinstance ti on ti.procinst_ = pi.id_proc_inst
where 1=1
and ptrf.id_orgao_julgador <> COALESCE(:ORGAO_JULGADOR, ptrf.id_orgao_julgador)
and ti.name_ ilike ''%Aguardando sesso de julgamento%''
and ti.end_ is null
and ss.in_situacao_sessao not in (''F'',''E'')
and ss.dt_sessao > current_date
order by "Gabinete", "OJC", "Tarefa", "Data da concluso para o magistrado"';



  GLOSSARIO11 CLOB :=
  'Relatrio de processos e esto conclusos para  magistrado e encontram-se em tarefa de minuta.<br/>Tambm so listados aqui os processos de outros gabinetes que esto aguardando votao antecipada para sesso de julgamento<br/>(verso 1.4.8.2)';


  SQL12 CLOB :=
  'select p.nr_processo as "Processo",
(select ds_classe_judicial from tb_classe_judicial where cd_classe_judicial = eg_pje.fn_get_classe_data(p.id_processo, ss.dt_sessao)) as "Classe",
ul.ds_nome as "Relator",
(SELECT array_to_string(
	  array(select ul2.ds_nome 
	  from tb_processo_parte pp
	  inner join tb_usuario_login ul2 on ul2.id_usuario = pp.id_pessoa
	  where pp.id_processo_trf = ptrf.id_processo_trf
	  and pp.in_participacao = ''A''
	  and pp.id_tipo_parte not in (7, 9, 194)
	  and pp.in_situacao = ''A''
	  ), '', '')) as "Partes do Plo Ativo",
(SELECT array_to_string(
	  array(select ul2.ds_nome
	  from tb_processo_parte pp
	  inner join tb_usuario_login ul2 on ul2.id_usuario = pp.id_pessoa
	  where pp.id_processo_trf = ptrf.id_processo_trf
	  and pp.in_participacao = ''P''
	  and pp.id_tipo_parte not in (7, 9, 194)
	  and pp.in_situacao = ''A''
	  ), '', '')) as "Partes do Plo Passivo",
(SELECT array_to_string(
	  array(select ul2.ds_nome 
	  from tb_processo_parte pp
	  inner join tb_usuario_login ul2 on ul2.id_usuario = pp.id_pessoa
	  where pp.id_processo_trf = ptrf.id_processo_trf
	  and pp.in_participacao = ''A''
	  and pp.id_tipo_parte in (7, 9, 194)
	  and pp.in_situacao = ''A''
	  ), '', '')) as "Advogados do Plo Ativo",
(SELECT array_to_string(
	  array(select ul2.ds_nome
	  from tb_processo_parte pp
	  inner join tb_usuario_login ul2 on ul2.id_usuario = pp.id_pessoa
	  where pp.id_processo_trf = ptrf.id_processo_trf
	  and pp.in_participacao = ''P''
	  and pp.id_tipo_parte in (7, 9, 194)
	  and pp.in_situacao = ''A''
	  ), '', '')) as "Advogados do Plo Passivo"
from tb_pauta_sessao ps
inner join tb_processo p on ps.id_processo_trf = p.id_processo
inner join tb_jt_sessao ss on ss.id_sessao = ps.id_sessao
inner join tb_processo_trf ptrf on ptrf.id_processo_trf = p.id_processo
inner join tb_usuario_login ul on ul.id_usuario = ptrf.id_pessoa_relator_processo
where 1=1
and ss.dt_sessao = :DATA_FIXA
and ptrf.id_orgao_julgador_colegiado = COALESCE(:ORGAO_COLEGIADO,ptrf.id_orgao_julgador_colegiado)
order by 3, ptrf.nr_ano, nr_sequencia';



  GLOSSARIO12 CLOB :=
  'Pauta de julgamento da data selecionada';



  SQL13 CLOB :=
  'SELECT
		p.nr_processo as "Processo",
		to_char(pa.dt_inicio,''DD/MM/YYYY'') as "Data da audincia",
		oj.ds_orgao_julgador as "Vara",
		client.status_ata_audiencia(p.nr_processo::varchar, pa.dt_inicio::date, null) as "Status"
	from
		core.tb_processo p
		inner join jt.tb_aud_importacao ai on p.id_processo = ai.id_processo
		inner join client.tb_processo_trf ptrf on ptrf.id_processo_trf = p.id_processo
		inner join client.tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
		inner join client.tb_processo_audiencia pa on pa.id_processo_audiencia = ai.id_processo_audiencia
		left join core.tb_processo_documento pd on pa.id_processo_documento = pd.id_processo_documento
		left join core.tb_processo_documento_bin pdb on pd.id_processo_documento_bin = pdb.id_processo_documento_bin
	where
		pa.in_ativo = ''S'' --audiencias ativas
		and pd.dt_juntada is null --ata nao juntada
		and pa.dt_inicio > :DATA_INICIAL
		and oj.id_orgao_julgador = COALESCE(:ORGAO_JULGADOR, oj.id_orgao_julgador)
	order by 
		"Status", pa.dt_inicio';



  GLOSSARIO13 CLOB :=
  'Este relatrio tem o objetivo de informar o usurio sobre a possibilidade de ocorrer erro durante a assinatura das atas de audincia.<br/>
Ao selecionar a data inicial e a vara, sero exibidos os processos com atas de audincia ainda no assinada, conforme os status abaixo:<br/>
-- ATA NO CONFIRMADA -- O secretrio da audincia ainda no confirmou a ata.<br/>
-- PROBLEMA NA ASSINATURA -- Ata confirmada pelo secretrio, porm com inconsistncias. Abrir chamado no Ocomon.<br/>
-- PRONTO PARA ASSINAR -- A ata est confirmada e ntegra. Pode ser assinada pelo magistrado sem maiores problemas.    ';


  SQL14 CLOB :=
  'select (select ds_orgao_julgador from tb_orgao_julgador where id_orgao_julgador =

COALESCE(
		(select id_oj_origem 
		from tb_hist_desloca_oj doj
		where doj.id_processo_trf = ptrf.id_processo_trf
		and dt_deslocamento = (
			select min(dt_deslocamento)
			from tb_hist_desloca_oj doj2
			where doj2.id_processo_trf = ptrf.id_processo_trf)
		), ptrf.id_orgao_julgador)) 

as "rgo Julgador", count(ptrf.id_processo_trf) as "Processos distribudos"
from tb_processo_trf ptrf
where 1=1
and ptrf.dt_distribuicao >= :DATA_INICIAL 
and ptrf.dt_distribuicao <= (timestamp :DATA_FINAL + interval ''24 hours'')
and ptrf.id_orgao_julgador_colegiado = COALESCE(:ORGAO_COLEGIADO, ptrf.id_orgao_julgador_colegiado)
and ptrf.dt_distribuicao is not null
group by "rgo Julgador"

union

select '' TOTAL'' as "rgo Julgador", count(ptrf.id_processo_trf) as "Processos distribudos" from tb_processo_trf ptrf
where ptrf.dt_distribuicao >= :DATA_INICIAL 
and ptrf.dt_distribuicao <= (timestamp :DATA_FINAL + interval ''24 hours'')
and ptrf.dt_distribuicao is not null
and ptrf.id_orgao_julgador_colegiado = COALESCE(:ORGAO_COLEGIADO, ptrf.id_orgao_julgador_colegiado)
order by 1';



  GLOSSARIO14 CLOB :=
  'Relatrio de processos distribudos por gabinete e por rgo colegiado.<br/>
Leva em considerao o gabinete para onde foi realizada a primeira distribuio do processo,<br/>
desconsiderando redistribuies, alteraes de redator, remessas para o gabinete da Presidncia,<br/>
dentre outras alteraes de rgo julgador que o processo possa ter sofrido desde a distribuio.';


  SQL15 CLOB :=
  'select to_char(num_proc, ''0000000'') || ''-'' || num_dig_proc || ''.'' || ano_proc || ''.'' || num_justica || ''.'' || num_tribunal || ''.'' || num_vara as "Processo",
''https://pje.trt13.jus.br/primeirograu/Processo/movimentar.seam?idProcesso=''|| -num_interno_processo as "Abrir tarefa"
from (
with interpostos as (
select rec_inter.id_processo,rec_inter.dta_ocorrencia,row_number() 
over(partition by rec_inter.id_processo order by rec_inter.dta_ocorrencia) as nr_registro	
from 
(select mv.id_processo, mv.dta_ocorrencia
from (
select pj.id_processo,
(select min(phd.dta_distribuicao) from eg_pje.tb_processos_hist_distrib phd where phd.id_processo = pj.id_processo
) as dta_ocorrencia
from  eg_pje.tb_processos_judiciais pj
where pj.in_tutela_liminar = ''S''
) mv

where mv.dta_ocorrencia <= :DATA_FINAL
union all

select d.id_processo, d.dt_assinatura as dta_ocorrencia
from   eg_pje.tb_documentos d 
where d.cd_documento = ''7254''
and d.dt_assinatura <= :DATA_FINAL
) rec_inter
), julgados as
(
select rec_julg.id_processo,rec_julg.dta_ocorrencia,row_number() over(partition by rec_julg.id_processo order by rec_julg.dta_ocorrencia) as nr_registro
from
(
select id_processo, dta_ocorrencia
from   eg_pje.tb_movimentos_processuais mp2
where  mp2.cd_movimento in (''332'', ''889'', ''785'')

union all

select id_processo, dta_ocorrencia
from   eg_pje.tb_movimentos_processuais mp2
where  mp2.cd_movimento = ''50049''
and exists (
select 1 
from   eg_pje.tb_movimentos_complementos comp
where  comp.id_movimento_processo = mp2.id_movimento_processo
and  comp.cd_tipo_complemento=''5023'' and comp.cd_dominio_valor = ''7254''
)		
) rec_julg
where exists (
select 1
from   interpostos i
where  rec_julg.id_processo = i.id_processo
and  rec_julg.dta_ocorrencia between i.dta_ocorrencia and :DATA_FINAL					   
)
)
 select
pj.num_interno_processo as num_interno_processo,
pj.num_proc as num_proc,
pj.num_dig_proc as num_dig_proc,
pj.ano_proc as ano_proc,
pj.num_justica as num_justica,
pj.num_tribunal as num_tribunal,
pj.num_vara as num_vara,
eg_pje.fn_get_classe_data(pj.id_processo,mx.dta_ocorrencia) as num_classe_interno,
eg_pje.fn_get_num_unidade_egestao(eg_pje.fn_get_org_julg_data(pj.id_processo, mx.dta_ocorrencia)) as num_unidade,
mx.num_orgao_estatistica_atual as num_orgao_estatistica,
eg_pje.fn_get_dt_entrada_org_julg(pj.id_processo, mx.dta_ocorrencia) as dta_orgao_judicante,
null as num_juiz,
null as num_relator,
null as num_revisor,
null as num_redator,
null as num_mag_vista,
pj.num_ramo_atividade as num_ramo_atividade,
pj.cod_municipio_ibge_origem as cod_municipio_ibge_origem,
null as dta_evento_inicial,
null as dta_evento_final,
null as num_orgao_estatistica_origem,
null as num_orgao_estatistica_destino,
null as num_classe_anterior,
null as num_orgao_externo_origem,
null as num_orgao_externo_destino,
mx.dta_ocorrencia as dta_ocorrencia,
null as cod_tipo_sessao,
null as dta_sessao,
null as cod_ente_publico,
null as num_mag_presidente,
null as num_mag_corregedor,
null as num_valor_original_historico,
null as num_valor_atualizado,
null as num_valor_integral_quitacao,
null as dta_oficio_requisitorio,
null as dta_solicitacao_rec_financ
from
(
select inter.id_processo,inter.dta_ocorrencia,eg_pje.fn_get_fase_processo(inter.id_processo, eg_pje.with_tz_to_without_tz(:DATA_FINAL
)) as fase_atual
,eg_pje.fn_get_orgao_estatistica(eg_pje.fn_get_org_julg_data(inter.id_processo, eg_pje.with_tz_to_without_tz(:DATA_FINAL
))) as num_orgao_estatistica_atual
from interpostos inter
where not exists (
select 1
from julgados julg
where inter.id_processo = julg.id_processo
and inter.nr_registro = julg.nr_registro
)
) mx
inner join eg_pje.tb_processos_judiciais pj on pj.id_processo = mx.id_processo
where not exists (
select 1
from eg_pje.tb_movimentos_processuais mp
where mp.id_processo = mx.id_processo
and mp.cd_movimento = ''377''
and    mp.dta_ocorrencia <= :DATA_FINAL
)
and mx.fase_atual = ''CO''
and mx.num_orgao_estatistica_atual in (:ORGAO_ESTATISTICA
)) as egestao';



  GLOSSARIO15 CLOB :=
  'Relatrio extrado do e-gesto. Em testes...';


  SQL16 CLOB :=
  'select (
	select ds_nome from tb_usuario_login ul where id_usuario = (
	COALESCE(cs.id_magistrado_substituto, cs.id_magistrado_presente))
) as "Magistrado", count(distinct(ss.dt_sessao, ojc.ds_orgao_julgador_colegiado)) as "Composies de sesso"
from jt.tb_composicao_sessao  cs
inner join tb_jt_sessao ss on ss.id_sessao = cs.id_sessao
inner join tb_orgao_julgador_colgiado ojc on ojc.id_orgao_julgador_colegiado = ss.id_orgao_julgador_colegiado
where cs.id_magistrado_presente is not null
and ss.dt_fechamento_pauta is not null
and ss.in_situacao_sessao in (''E'', ''F'')
and exists (
	select 1 from tb_pauta_sessao ps
	where ps.id_sessao = ss.id_sessao
)
and ss.id_orgao_julgador_colegiado = COALESCE(:ORGAO_COLEGIADO, ss.id_orgao_julgador_colegiado)
and ss.dt_sessao >= :DATA_INICIAL
and ss.dt_sessao <= (timestamp :DATA_FINAL + interval ''24 hours'')
group by "Magistrado"';



  GLOSSARIO16 CLOB :=
  'Indica em quantas composies de sesso de julgamento cada magistrado participou<br/>
no perodo e rgo julgador colegiado especificados.';


  SQL17 CLOB :=
  'select p.nr_processo as "Processo", pd.ds_processo_documento as "Documento", pd.dt_juntada as "Data de juntada"
from tb_processo p
inner join tb_processo_trf ptrf on p.id_processo = ptrf.id_processo_trf
inner join tb_processo_documento pd on p.id_processo = pd.id_processo
where 1=1
and pd.ds_instancia = ''2''
and pd.dt_juntada > (
	select max(pe.dt_atualizacao) from tb_processo_evento pe
	where pe.id_processo = p.id_processo
	and pe.id_evento = 132
)
and ptrf.id_orgao_julgador = COALESCE(:ORGAO_JULGADOR, ptrf.id_orgao_julgador)
and pd.dt_juntada >= :DATA_INICIAL
and pd.dt_juntada <= (timestamp :DATA_FINAL + interval ''24 hours'')';



  GLOSSARIO17 CLOB :=
  'Lista os documentos juntados pela 2 instncia depois da baixa  vara para prosseguir.';


  SQL18 CLOB :=
  'select ''https://pje.trt13.jus.br/primeirograu/Processo/movimentar.seam?idProcesso=''||p.id_processo as "Abrir tarefa", p.nr_processo as "Processo", oj.ds_orgao_julgador as "rgo julgador"
from tb_processo p
inner join tb_processo_trf ptrf on ptrf.id_processo_trf = p.id_processo
inner join tb_orgao_julgador oj on oj.id_orgao_julgador = ptrf.id_orgao_julgador
where ptrf.id_processo_trf not in (

select distinct pp.id_processo_trf
from tb_processo_parte pp
where pp.in_participacao = ''A''
and (pp.id_tipo_parte = 7 or pp.id_tipo_parte = 9)

)
and ptrf.id_classe_judicial <> 14
and dt_distribuicao between :DATA_INICIAL and (timestamp :DATA_FINAL + interval ''24 hours'')
order by 3';



  GLOSSARIO18 CLOB :=
  'Lista todos os processos que no possuem advogado no plo ativo.<br/>
So excludos deste relatrio os processos da classe 261 (Carta Precatria)';



BEGIN
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL1, DS_GLOSSARIO = GLOSSARIO1 WHERE ID = 1;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL2, DS_GLOSSARIO = GLOSSARIO2 WHERE ID = 2;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL3, DS_GLOSSARIO = GLOSSARIO3 WHERE ID = 3;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL4, DS_GLOSSARIO = GLOSSARIO4 WHERE ID = 4;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL5, DS_GLOSSARIO = GLOSSARIO5 WHERE ID = 5;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL6, DS_GLOSSARIO = GLOSSARIO6 WHERE ID = 6;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL7, DS_GLOSSARIO = GLOSSARIO7 WHERE ID = 7;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL8, DS_GLOSSARIO = GLOSSARIO8 WHERE ID = 8;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL9, DS_GLOSSARIO = GLOSSARIO9 WHERE ID = 9;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL10, DS_GLOSSARIO = GLOSSARIO10 WHERE ID = 10;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL11, DS_GLOSSARIO = GLOSSARIO11 WHERE ID = 11;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL12, DS_GLOSSARIO = GLOSSARIO12 WHERE ID = 12;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL13, DS_GLOSSARIO = GLOSSARIO13 WHERE ID = 13;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL14, DS_GLOSSARIO = GLOSSARIO14 WHERE ID = 14;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL15, DS_GLOSSARIO = GLOSSARIO15 WHERE ID = 15;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL16, DS_GLOSSARIO = GLOSSARIO16 WHERE ID = 16;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL17, DS_GLOSSARIO = GLOSSARIO17 WHERE ID = 17;
  UPDATE PJEGERENCIAL.TB_PJE_GER_CONSULTAS SET DS_SQL = SQL18, DS_GLOSSARIO = GLOSSARIO18 WHERE ID = 18;

END;


/
COMMIT;





